#include <stdio.h>
#include <stdlib.h>

int main ()
{
    int n, k;
    scanf("%d%d", &n, &k);
    static int a[20000];
    for (int i=0; i<n; i++)
        scanf("%d", a+i);
    int p=0, s=0;
    while (!p)
    {
        if (a[s]==k)
            p=1;
        s++;
    }
    if (s==n)
        s=0;
    printf("%d", a[s]);

    return 0;
}